From 17da2872e0388cc6d88b83ca4ac84abda4e99db3 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 13 2016 22:27:31 +0000
Subject: [PATCH 388/1001] Only return something in the GitHub PR widget if there is a token set


---

diff --git a/hubs/widgets/github_pr.py b/hubs/widgets/github_pr.py
index 89c8766..24c2dc8 100755
--- a/hubs/widgets/github_pr.py
+++ b/hubs/widgets/github_pr.py
@@ -27,21 +27,25 @@ template = templating.environment.get_template('templates/github_pr.html')
           help="Github Organization or username")
 def data(session, widget, display_number, organization):
     log.info("Getting GH prs for %r, (%r)" % (organization, display_number))
-    token = config['github.oauth_token']
+    token = config.get('github.oauth_token')
     org = organization
-    repos = hubs.utils.github_repos(token, org)
-    pulls = sum([
-        list(hubs.utils.github_pulls(token, org, repo))
-        for repo in repos
-    ], [])
-    # Reverse-sort by time (newest-first)
-    pulls.sort(lambda a, b: cmp(b['timestamp'], a['timestamp']))
-
-    # Some hints for display
-    display_number = min(display_number, len(pulls))
-    more = len(pulls) - display_number
-    if more < 0:
-        more = 0
+    pulls = []
+    display_number = 0
+    more = 0
+    if token:
+        repos = hubs.utils.github_repos(token, org)
+        pulls = sum([
+            list(hubs.utils.github_pulls(token, org, repo))
+            for repo in repos
+        ], [])
+        # Reverse-sort by time (newest-first)
+        pulls.sort(lambda a, b: cmp(b['timestamp'], a['timestamp']))
+
+        # Some hints for display
+        display_number = min(display_number, len(pulls))
+        more = len(pulls) - display_number
+        if more < 0:
+            more = 0
 
     return dict(
         organization=org,

